<!-- template="mla-overview" -->
<!-- title="Overview" order="1" -->
<p>All the files you&#8217;ve uploaded are listed in the Media Library Assistant table, ordered by the Title field. You can change the sort order by clicking on one of the blue column names.</p>
<p>You can use the Screen Options tab to customize the display of this screen. You can choose any combination of the sixteen (16) columns available for display. You can also choose how many items appear on each page of the display.</p>
<p>You can narrow the list by file type/status using the text link filters at the top of the screen. You also can refine the list by month using the dropdown menu above the media table.</p>
<p>If you have selected &#8220;Attachment Categories&#8221; support, you can filter the list by selecting &#8220;All Categories&#8221;, &#8220;No Categories&#8221; or a specific category from the drop down list. If you select a category that has child categories beneath it, attachments in any of the child categories will also appear in the filtered list.</p>
<p><strong>NOTE:</strong> Month and category filters are &#8220;sticky&#8221;, i.e., they will persist as you resort the display or change the file type/status view.</p>
<!-- template="mla-featured-inserted" -->
<!-- title="Featured/Inserted" order="2" -->
<p>The &#8220;Featured in&#8221; and &#8220;Inserted in&#8221; columns are a powerful tool for managing your attachments. They show you where each attachment is used in a post or page as a &#8220;Featured Image&#8221; or as an embedded image or link.</p>
<p>You can also use the information in the &#8220;Title/Name&#8221; column to identify &#8220;Orphan&#8221; items that are not used in any post or page and items with a &#8220;Bad Parent&#8221;, i.e., a parent that does not exist.</p>
<!-- template="mla-categories-tags" -->
<!-- title="Categories/Tags" order="3" -->
<p>The &#8220;Att. Categories&#8221; and &#8220;Att. Tags&#8221; columns help you to group attachments by subject and keyword values. The columns list any categories and tags associated with the item. You can click on one of the displayed values to get a list of all items associated with that value.</p>
<!-- template="mla-bulk-actions" -->
<!-- title="Bulk Actions" order="4" -->
<p>The &#8220;Bulk Actions&#8221; dropdown list works with the check box column to let you make changes to many items at once. Click the check box in the column title row to select all items on the page, or click the check box in a row to select items individually.</p>
<p>Once you&#8217;ve selected the items you want, pick an action from the dropdown list and click Apply to perform the action on the selected items. The available actions will vary depending on the file type/status view you have picked.</p>
<p>If you have enabled Trash support (define MEDIA_TRASH in wp-config.php) you can use bulk actions to move items to and from the Trash or delete them permamently.</p>
<!-- template="mla-available-actions" -->
<!-- title="Available Actions" order="5" -->
<p>Hovering over a row reveals action links such as Edit, Move to Trash and Delete Permanently. Clicking Edit displays a simple screen to edit that individual file&#8217;s metadata. Clicking Move to Trash will assign the file to the Trash pile but will not affect pages or posts to which it is attached. Clicking Delete Permanently will delete the file from the media library (as well as from any posts to which it is currently attached).</p>
<!-- template="mla-attaching-files" -->
<!-- title="Attaching Files" order="6" -->
<p>If a media file has not been attached to any post, you will see that in the Attached To column. You can click on the Edit action to attach the file.</p>
<!-- template="sidebar" -->
<p><strong>For more information:</strong></p>
<p><a href="http://codex.wordpress.org/Media_Library_Screen" target="_blank">Documentation on Media Library</a></p>
<p><a href="http://wordpress.org/support/" target="_blank">Support Forums</a></p>